Author Topic: QUICK PROFILE LISP- hELP WITH UPDATE  (Read 9867 times)

0 Members and 1 Guest are viewing this topic.

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #15 on: April 02, 2019, 01:16:09 AM »
The test.lsp draws polyline from file. The test.txt file contain  the chainage and the elevetion. But the elevetions is allready ( elevetion * 10) because the vertical exaggeration must be 10.
In the last version of qp.lsp when we select the center line and the contours the lisp draws the ground line with the chainage and the elevetion.

The vertical exaggeration is important because some times must be 1 .

The problem is that i dont have contours any time and i need to draw a Center-Line profile from a file like test.txt. And some times i need to add a second ground from file or to draw the second ground and print the elevetion and chainage (without 0+ ...... (for example  0 + 250)  , only the numbe (for example  250))

if it helps i use test table.dwg under the ground lines

Thanks
« Last Edit: April 02, 2019, 01:40:51 AM by Topographer »

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #16 on: April 03, 2019, 01:59:38 AM »
I find an old code . This code works but i need to to add  a vertical exaggeration like the quick profile lisp because the most times the evetions will be (elev * 10)  so when write the text of the elevetion must be (elev / 10)


Code - Auto/Visual Lisp: [Select]
  1. (defun ERR (S)
  2.   (if (= S "Function cancelled")
  3.     (princ "\nVERTEXT - cancelled: ")
  4.     (progn (princ "\nVERTEXT - Error: ") (princ S) (terpri))
  5.   )
  6.   (RESETTING)
  7.   (princ "SYSTEM VARIABLES have been reset\n")
  8.   (princ)
  9. )
  10. (defun SETV (SYSTVAR NEWVAL)
  11.   (setq X (read (strcat SYSTVAR "1")))
  12.   (set X (getvar SYSTVAR))
  13.   (setvar SYSTVAR NEWVAL)
  14. )
  15. (defun SETTING ()
  16.   (setq OERR *ERROR*)
  17.   (setq *ERROR* ERR)
  18.   (SETV "CMDECHO" 0)
  19.   (SETV "BLIPMODE" 0)
  20. )
  21. (defun RSETV (SYSTVAR)
  22.   (setq X (read (strcat SYSTVAR "1")))
  23.   (setvar SYSTVAR (eval X))
  24. )
  25.  
  26. (defun RESETTING ()
  27.   (RSETV "CMDECHO")
  28.   (RSETV "BLIPMODE")
  29.   (setq *ERROR* OERR)
  30. )
  31.  
  32.  
  33. (defun DXF (CODE ENAME) (cdr (assoc CODE (entget ENAME)))) ; dxf
  34.  
  35. (defun VERTEXT (/ EN VLIST)
  36.   (setq EN (GET-EN))
  37.   (if (= (DXF 0 EN) "LWPOLYLINE")
  38.     (setq VLIST (GET-LWVLIST EN))
  39.     (setq VLIST (GET-PLVLIST EN))
  40.   )
  41.   (WRITE-IT VLIST EN)
  42. )
  43.  
  44. (defun GET-EN (/ NO-ENT EN MSG1 MSG2)
  45.   (setq NO-ENT 1
  46.         EN     NIL
  47.         MSG1   "\nselect polyline: "
  48.         MSG2   "\nthis is not a polyline !!!."
  49.   )                                     ; setq
  50.   (while NO-ENT
  51.     (setq EN (car (entsel MSG1)))
  52.     (if (and EN
  53.              (or (= (DXF 0 EN) "LWPOLYLINE") (= (DXF 0 EN) "POLYLINE"))
  54.                                         ; or
  55.         )                               ; and
  56.       (progn (setq NO-ENT NIL))         ; progn
  57.       (prompt MSG2)
  58.     )                                   ; if
  59.   )                                     ; while
  60.   EN
  61. )                                       ; get-en
  62.  
  63. (defun GET-LWVLIST (EN / ELIST NUM-VERT VLIST)
  64.   (setq ELIST    (entget EN)
  65.         NUM-VERT (cdr (assoc 90 ELIST))
  66.         ELIST    (member (assoc 10 ELIST) ELIST)
  67.         VLIST    NIL
  68.   )                                     ; setq
  69.   (repeat NUM-VERT
  70.     (setq VLIST (append VLIST (list (cdr (assoc 10 ELIST)))) ; append
  71.     )                                   ; setq
  72.     (setq ELIST (cdr ELIST)
  73.           ELIST (member (assoc 10 ELIST) ELIST)
  74.     )                                   ; setq
  75.   )                                     ; repeat
  76.   VLIST
  77. )                                       ; get-lwvlist
  78.  
  79. (defun GET-PLVLIST (EN / VLIST)
  80.   (setq VLIST NIL
  81.         EN    (entnext EN)
  82.   )                                     ; setq
  83.   (while (/= "SEQEND" (DXF 0 EN))
  84.     (setq VLIST (append VLIST (list (DXF 10 EN))))
  85.     (setq EN (entnext EN))
  86.   )                                     ; while
  87.   VLIST
  88. )                                       ; get-plvlist
  89.  
  90. (defun WRITE-IT (VLST EN / NEWVLIST MSG3 FNAME)
  91.   (setq NEWVLIST (mapcar '(lambda (X) (trans X EN 0)) ;_ lambda
  92.                          VLST
  93.                  ) ;_ mapcar
  94.         MSG3     "Polyline vertex file"
  95.                                         ;FNAME    (getfiled MSG3 "" "txt" 1)
  96.         F1       (open "FNAME" "w")
  97.   )                                     ; setq
  98.   (WRITE-HEADER)
  99.   (WRITE-VERTICES NEWVLIST)
  100.   (setq F1 (close F1))
  101. ) ;_ write-it
  102.  
  103. (defun WRITE-HEADER (/ STR)
  104.   (setq STR "        POLYLINE VERTEX POINTS")
  105.   (write-line STR F1)
  106.   (setq STR (strcat "  X            " "  Y            " "  Z") ;_ strcat
  107.   ) ;_ setq
  108.   (write-line STR F1)
  109. ) ;_ write-header
  110.  
  111.  
  112.  
  113. (defun WRITE-VERTICES (NEWVLIST / XSTR YSTR ZSTR STR l)
  114.    (setvar 'OSMODE  0)
  115.            (initget "1 2")
  116.            (setq
  117.              l
  118.               (cond
  119.                 ((getkword
  120.                    "\nfor Ground 1 (1)/ for ground 2 (2) < 1 > :"
  121.                  )
  122.                 )
  123.                 ("1")
  124.               )
  125.            )
  126.        
  127. (if (eq l "1")
  128.         (COMMAND "_layer" "_m" "ground1" "_c" "94" "" "")
  129.        )
  130.        (if (eq l "2")
  131.         (COMMAND "_layer" "_m" "ground2" "_c" "10" "" "")
  132.            )
  133. )
  134.   (setq httt "2")
  135.   (setq gptx (getpoint "\nPick a point to insert length text: "))
  136.   (setq gpty (getpoint "\nPick a point to insert elevetion text: "))
  137.   (foreach ITEM NEWVLIST
  138.     (setq XSTR (rtos (nth 0 (/ ITEM ve)) 2 2)
  139.           YSTR (rtos (nth 1 ITEM) 2 2)
  140.           ZSTR (rtos (nth 2 ITEM) 2 2)
  141.           STR  (strcat XSTR (SPACES XSTR) YSTR (SPACES YSTR) ZSTR) ;_ strcat
  142.     )                                   ; setq
  143.                                         ;      (write-line STR F1)
  144.  
  145.  (command "._style" "PMSF-TEXT" "Arial" 1.8 1 0 "n" "n" "n")
  146.     (command "text"
  147.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gptx))
  148.              httt
  149.              "0"
  150.              (strcat xstr)
  151.     )
  152.     (command "text"
  153.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gpty))
  154.              httt
  155.              "0"
  156.              (strcat ystr)
  157.     )
  158.  
  159.   )                                     ; foreach
  160.  
  161. )                                       ; write-vertices
  162.  
  163.  
  164. (defun SPACES (STR / FIELD NUM CHAR SPACE)
  165.   (setq FIELD 15
  166.         NUM   (- FIELD (strlen STR))
  167.         CHAR  " "
  168.         SPACE ""
  169.   ) ;_ setq
  170.   (repeat NUM (setq SPACE (strcat SPACE CHAR))) ;_ repeat
  171. ) ;_ spaces
  172.  
  173. (defun C:vd2 () (SETTING) (VERTEXT) (RESETTING) (princ)) ; c:nsl
  174.  
  175.  

Thanks

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #17 on: April 03, 2019, 02:47:32 PM »
no one ?  :-(

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #18 on: April 04, 2019, 10:05:47 AM »
it is important .Can anyone help  ?:-(

Thanks

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #19 on: April 07, 2019, 12:28:54 PM »
Hi i update this code but i need litle help. I want the thext style have the name PMSF-TEXT with  Arial and the mtext be midle center not left

Code - Auto/Visual Lisp: [Select]
  1.  
  2. (defun ERR (S)
  3.   (if (= S "Function cancelled")
  4.     (princ "\nVERTEXT - cancelled: ")
  5.     (progn (princ "\nVERTEXT - Error: ") (princ S) (terpri))
  6.   )
  7.   (RESETTING)
  8.   (princ "SYSTEM VARIABLES have been reset\n")
  9.   (princ)
  10. )
  11. (defun SETV (SYSTVAR NEWVAL)
  12.   (setq X (read (strcat SYSTVAR "1")))
  13.   (set X (getvar SYSTVAR))
  14.   (setvar SYSTVAR NEWVAL)
  15. )
  16. (defun SETTING ()
  17.   (setq OERR *ERROR*)
  18.   (setq *ERROR* ERR)
  19.   (SETV "CMDECHO" 0)
  20.   (SETV "BLIPMODE" 0)
  21. )
  22. (defun RSETV (SYSTVAR)
  23.   (setq X (read (strcat SYSTVAR "1")))
  24.   (setvar SYSTVAR (eval X))
  25. )
  26.  
  27. (defun RESETTING ()
  28.   (RSETV "CMDECHO")
  29.   (RSETV "BLIPMODE")
  30.   (setq *ERROR* OERR)
  31. )
  32.  
  33.  
  34. (defun DXF (CODE ENAME) (cdr (assoc CODE (entget ENAME)))) ; dxf
  35.  
  36. (defun VERTEXT (/ EN VLIST)
  37.   (setq EN (GET-EN))
  38.   (if (= (DXF 0 EN) "LWPOLYLINE")
  39.     (setq VLIST (GET-LWVLIST EN))
  40.     (setq VLIST (GET-PLVLIST EN))
  41.   )
  42.   (WRITE-IT VLIST EN)
  43. )
  44.  
  45. (defun GET-EN (/ NO-ENT EN MSG1 MSG2)
  46.   (setq NO-ENT 1
  47.         EN     NIL
  48.         MSG1   "\nSelect a polyline: "
  49.         MSG2   "\nNo polyline selected, try again."
  50.   )                                     ; setq
  51.   (while NO-ENT
  52.     (setq EN (car (entsel MSG1)))
  53.     (if (and EN
  54.              (or (= (DXF 0 EN) "LWPOLYLINE") (= (DXF 0 EN) "POLYLINE"))
  55.                                         ; or
  56.         )                               ; and
  57.       (progn (setq NO-ENT NIL))         ; progn
  58.       (prompt MSG2)
  59.     )                                   ; if
  60.   )                                     ; while
  61.   EN
  62. )                                       ; get-en
  63.  
  64. (defun GET-LWVLIST (EN / ELIST NUM-VERT VLIST)
  65.   (setq ELIST    (entget EN)
  66.         NUM-VERT (cdr (assoc 90 ELIST))
  67.         ELIST    (member (assoc 10 ELIST) ELIST)
  68.         VLIST    NIL
  69.   )                                     ; setq
  70.   (repeat NUM-VERT
  71.     (setq VLIST (append VLIST (list (cdr (assoc 10 ELIST)))) ; append
  72.     )                                   ; setq
  73.     (setq ELIST (cdr ELIST)
  74.           ELIST (member (assoc 10 ELIST) ELIST)
  75.     )                                   ; setq
  76.   )                                     ; repeat
  77.   VLIST
  78. )                                       ; get-lwvlist
  79.  
  80. (defun GET-PLVLIST (EN / VLIST)
  81.   (setq VLIST NIL
  82.         EN    (entnext EN)
  83.   )                                     ; setq
  84.   (while (/= "SEQEND" (DXF 0 EN))
  85.     (setq VLIST (append VLIST (list (DXF 10 EN))))
  86.     (setq EN (entnext EN))
  87.   )                                     ; while
  88.   VLIST
  89. )                                       ; get-plvlist
  90.  
  91. (defun WRITE-IT (VLST EN / NEWVLIST MSG3 FNAME)
  92.   (setq NEWVLIST (mapcar '(lambda (X) (trans X EN 0)) ;_ lambda
  93.                          VLST
  94.                  ) ;_ mapcar
  95.         MSG3     "Polyline vertex file"
  96.                                         ;FNAME    (getfiled MSG3 "" "txt" 1)
  97.         F1       (open "FNAME" "w")
  98.   )                                     ; setq
  99.   (WRITE-HEADER)
  100.   (WRITE-VERTICES NEWVLIST)
  101.   (setq F1 (close F1))
  102. ) ;_ write-it
  103.  
  104. (defun WRITE-HEADER (/ STR)
  105.   (setq STR "        POLYLINE VERTEX POINTS")
  106.   (write-line STR F1)
  107.   (setq STR (strcat "  X            " "  Y            " "  Z") ;_ strcat
  108.   ) ;_ setq
  109.   (write-line STR F1)
  110. ) ;_ write-header
  111.  
  112.  
  113. (defun WRITE-VERTICES (NEWVLIST / XSTR YSTR ZSTR STR)
  114.   (setq httt "0.3")
  115.   (setq gptx (getpoint "\nBasepoint for X axis: "))
  116.   (setq gpty (getpoint "\nBasepoint for Y axis: "))
  117.  
  118.   (foreach ITEM NEWVLIST
  119.     (setq XSTR (rtos (nth 0 ITEM) 2 2)
  120.           YSTR (rtos (/ (nth 1 ITEM) 10) 2 2)
  121.           ZSTR (rtos (nth 2 ITEM) 2 2)
  122.           STR  (strcat XSTR (SPACES XSTR) YSTR (SPACES YSTR) ZSTR) ;_ strcat
  123.     )                                   ; setq
  124.                                         ;      (write-line STR F1)
  125.  
  126.  
  127.  
  128.     (command "text"
  129.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gptx))
  130.              httt
  131.              "0"
  132.              (strcat xstr)
  133.     )
  134.     (command "text"
  135.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gpty))
  136.              httt
  137.              "0"
  138.              (strcat ystr)
  139.     )
  140.  
  141.   )                                     ; foreach
  142.  
  143. )                                       ; write-vertices
  144.  
  145.  
  146. (defun SPACES (STR / FIELD NUM CHAR SPACE)
  147.   (setq FIELD 15
  148.         NUM   (- FIELD (strlen STR))
  149.         CHAR  " "
  150.         SPACE ""
  151.   ) ;_ setq
  152.   (repeat NUM (setq SPACE (strcat SPACE CHAR))) ;_ repeat
  153. ) ;_ spaces
  154.  
  155. (defun C:vv () (SETTING) (VERTEXT) (RESETTING) (princ)) ; c:nsl
  156.  
  157. (prompt "\nwritten by ENGR..Mr.Muhammad USMAN SOHAIL #03008342153")
  158. (prompt "\nEnter VV to start")
  159.  
  160.  

Thanks

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #20 on: April 07, 2019, 12:54:48 PM »
i find it .
Thanks

pedroantonio

  • Guest
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #21 on: April 07, 2019, 01:57:19 PM »
Hi i update the code again but i am confused and i need some help. I want when i choose ground1  to use chainage  Ground 1 layer and Elev  Ground 1 layer, and when i choose  ground2  to
give me two options
a) use chainage  Ground 2 layer and Elev  Ground 2 layer
b) use  Elev  Ground 2 layer and not print the chainage

Code - Auto/Visual Lisp: [Select]
  1.  
  2. (defun ERR (S)
  3.   (if (= S "Function cancelled")
  4.     (princ "\nVERTEXT - cancelled: ")
  5.     (progn (princ "\nVERTEXT - Error: ") (princ S) (terpri))
  6.   )
  7.   (RESETTING)
  8.   (princ "SYSTEM VARIABLES have been reset\n")
  9.   (princ)
  10. )
  11. (defun SETV (SYSTVAR NEWVAL)
  12.   (setq X (read (strcat SYSTVAR "1")))
  13.   (set X (getvar SYSTVAR))
  14.   (setvar SYSTVAR NEWVAL)
  15. )
  16. (defun SETTING ()
  17.   (setq OERR *ERROR*)
  18.   (setq *ERROR* ERR)
  19.   (SETV "CMDECHO" 0)
  20.   (SETV "BLIPMODE" 0)
  21. )
  22. (defun RSETV (SYSTVAR)
  23.   (setq X (read (strcat SYSTVAR "1")))
  24.   (setvar SYSTVAR (eval X))
  25. )
  26.  
  27. (defun RESETTING ()
  28.   (RSETV "CMDECHO")
  29.   (RSETV "BLIPMODE")
  30.   (setq *ERROR* OERR)
  31. )
  32.  
  33.  
  34. (defun DXF (CODE ENAME) (cdr (assoc CODE (entget ENAME)))) ; dxf
  35.  
  36. (defun VERTEXT (/ EN VLIST)
  37.   (setq EN (GET-EN))
  38.   (if (= (DXF 0 EN) "LWPOLYLINE")
  39.     (setq VLIST (GET-LWVLIST EN))
  40.     (setq VLIST (GET-PLVLIST EN))
  41.   )
  42.   (WRITE-IT VLIST EN)
  43. )
  44.  
  45. (defun GET-EN (/ NO-ENT EN MSG1 MSG2)
  46.   (setq NO-ENT 1
  47.         EN     NIL
  48.         MSG1   "\nSelect a polyline: "
  49.         MSG2   "\nNo polyline selected, try again."
  50.   )                                     ; setq
  51.   (while NO-ENT
  52.     (setq EN (car (entsel MSG1)))
  53.     (if (and EN
  54.              (or (= (DXF 0 EN) "LWPOLYLINE") (= (DXF 0 EN) "POLYLINE"))
  55.                                         ; or
  56.         )                               ; and
  57.       (progn (setq NO-ENT NIL))         ; progn
  58.       (prompt MSG2)
  59.     )                                   ; if
  60.   )                                     ; while
  61.   EN
  62. )                                       ; get-en
  63.  
  64. (defun GET-LWVLIST (EN / ELIST NUM-VERT VLIST)
  65.   (setq ELIST    (entget EN)
  66.         NUM-VERT (cdr (assoc 90 ELIST))
  67.         ELIST    (member (assoc 10 ELIST) ELIST)
  68.         VLIST    NIL
  69.   )                                     ; setq
  70.   (repeat NUM-VERT
  71.     (setq VLIST (append VLIST (list (cdr (assoc 10 ELIST)))) ; append
  72.     )                                   ; setq
  73.     (setq ELIST (cdr ELIST)
  74.           ELIST (member (assoc 10 ELIST) ELIST)
  75.     )                                   ; setq
  76.   )                                     ; repeat
  77.   VLIST
  78. )                                       ; get-lwvlist
  79.  
  80. (defun GET-PLVLIST (EN / VLIST)
  81.   (setq VLIST NIL
  82.         EN    (entnext EN)
  83.   )                                     ; setq
  84.   (while (/= "SEQEND" (DXF 0 EN))
  85.     (setq VLIST (append VLIST (list (DXF 10 EN))))
  86.     (setq EN (entnext EN))
  87.   )                                     ; while
  88.   VLIST
  89. )                                       ; get-plvlist
  90.  
  91. (defun WRITE-IT (VLST EN / NEWVLIST MSG3 FNAME)
  92.   (setq NEWVLIST (mapcar '(lambda (X) (trans X EN 0)) ;_ lambda
  93.                          VLST
  94.                  ) ;_ mapcar
  95.         MSG3     "Polyline vertex file"
  96.                                         ;FNAME    (getfiled MSG3 "" "txt" 1)
  97.         F1       (open "FNAME" "w")
  98.   )                                     ; setq
  99.   (WRITE-HEADER)
  100.   (WRITE-VERTICES NEWVLIST)
  101.   (setq F1 (close F1))
  102. ) ;_ write-it
  103.  
  104. (defun WRITE-HEADER (/ STR)
  105.   (setq STR "        POLYLINE VERTEX POINTS")
  106.   (write-line STR F1)
  107.   (setq STR (strcat "  X            " "  Y            " "  Z") ;_ strcat
  108.   ) ;_ setq
  109.   (write-line STR F1)
  110. ) ;_ write-header
  111.  
  112.  
  113. (defun WRITE-VERTICES (NEWVLIST / XSTR YSTR ZSTR STR)
  114.    (setvar 'OSMODE 64)
  115.            (initget "1 2")
  116.            (setq
  117.              l
  118.               (cond
  119.                 ((getkword
  120.                    "\nGround 1 (1)/ Ground 2(2) < 1 > :"
  121.                  )
  122.                 )
  123.                 ("1")
  124.               )
  125.            )
  126.        
  127. (if (eq l "1")
  128.         (COMMAND "_layer" "_m" "chainage  Ground 1" "_c" "7" "" "")
  129.         (COMMAND "_layer" "_m" "Elev  Ground 1" "_c" "7" "" "")
  130.        )
  131.        (if (eq l "2")
  132.         (COMMAND "_layer" "_m" "chainage Ground 2" "_c" "7" "" "")
  133.         (COMMAND "_layer" "_m" "Elev  Ground 2" "_c" "7" "" "")
  134.            )
  135. )
  136.   (setq httt "1.8")
  137.   (setq gptx (getpoint "\nBasepoint for X axis: "))
  138.   (setq gpty (getpoint "\nBasepoint for Y axis: "))
  139.  
  140.   (foreach ITEM NEWVLIST
  141.     (setq XSTR (rtos (nth 0 ITEM) 2 2)
  142.           YSTR (rtos (/ (nth 1 ITEM) 10) 2 2)
  143.           ZSTR (rtos (nth 2 ITEM) 2 2)
  144.           STR  (strcat XSTR (SPACES XSTR) YSTR (SPACES YSTR) ZSTR) ;_ strcat
  145.     )                                   ; setq
  146.                                         ;      (write-line STR F1)
  147.  
  148.  (command "style" "PMSF-TEXT 2" "Arial" "" "" "" "" "")
  149.     (command "text" "_mc"
  150.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gptx))
  151.              httt
  152.              "0"
  153.              (strcat xstr)
  154.     )
  155.     (command "text" "_mc"
  156.              (list (+ (atof xstr) (/ (atof httt) 2.0)) (cadr gpty))
  157.              httt
  158.              "0"
  159.              (strcat ystr)
  160.     )
  161.  
  162.   )                                     ; foreach
  163.  
  164. )                                       ; write-vertices
  165.  
  166.  
  167. (defun SPACES (STR / FIELD NUM CHAR SPACE)
  168.   (setq FIELD 15
  169.         NUM   (- FIELD (strlen STR))
  170.         CHAR  " "
  171.         SPACE ""
  172.   ) ;_ setq
  173.   (repeat NUM (setq SPACE (strcat SPACE CHAR))) ;_ repeat
  174. ) ;_ spaces
  175.  
  176. (defun C:vv () (SETTING) (VERTEXT) (RESETTING) (princ)) ; c:nsl
  177.  
  178. (prompt "\nwritten by ENGR..Mr.Muhammad USMAN SOHAIL #03008342153")
  179. (prompt "\nEnter VV to start")
  180.  
  181.  

Thanks

MPD

  • Mosquito
  • Posts: 5
Re: QUICK PROFILE LISP- hELP WITH UPDATE
« Reply #22 on: January 17, 2021, 12:43:57 AM »
Hi
how can i draw two profiles or more at once?
i want to pick ground and then the road
I use "Pedro Miguel da Silva Ferreira" lisp
« Last Edit: January 17, 2021, 12:47:20 AM by MPD »